Package com.emc.d2fs.interfaces

# Interface ICheckinService

All Superinterfaces:
  `ID2fsService`

public interface ICheckinService extends ID2fsService
Document checkin and related configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `checkin(Context context, String id, CheckinParameters checkinParameters)`
  Check in a document into docbase -- Use IDownloadService.getCheckinUrls() instead of .checkin() to perform checkin with content as an atomic operation.
  `CheckinConfig`
  `getCheckinConfig(Context context, String id, boolean force)`
  Get check in configuration of document

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getCheckinConfig

    CheckinConfig getCheckinConfig(Context context, String id, boolean force) throws Exception
    Get check in configuration of document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `force` - boolean, if true force check in config return even if the document is not checked out
    Returns:
      `CheckinConfig` object
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### checkin

    String checkin(Context context, String id, CheckinParameters checkinParameters) throws Exception
    Check in a document into docbase -- Use IDownloadService.getCheckinUrls() instead of .checkin() to perform checkin with content as an atomic operation. For plugin to monitor checkin of uploaded content, override D2DownloadService.check() instead.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of document id
      `checkinParameters` - `CheckinParameters` object containing parameters required for checkin operation :
      - fileUrl : File location on system
      - logEntry : Check in comment
      - aContentType : Content type
      - checkinVersion : Version type as "major", "minor", "branch" or "version"
      - makeCurrent : Make new version as current
      - retainLock : Keep check out status after check in
      - keepSymbolicLabel : Custom label as "new", "current", "not current" or "vd"
      - keepLogEntry : Keep previous check in comment
      - queueRendition : Ask for rendition
    Returns:
      String value of new object id
    Throws:
      `Exception`
    Since:
      4.0.1